[![Build Status](https://img.shields.io/travis/WolfSoftware/is_palindromic/master.svg)](https://travis-ci.org/WolfSoftware/is_palindromic)
[![Software License](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE.md)
[![Release](https://img.shields.io/github/release/wolfsoftware/is_palindromic.svg)](https://github.com/wolfsoftware/is_palindromic/releases/latest)
[![Gem Version](https://badge.fury.io/rb/is_palindromic.svg)](https://badge.fury.io/rb/is_palindromic)
[![Github commits (since latest release)](https://img.shields.io/github/commits-since/wolfsoftware/is_palindromic/latest.svg)](https://github.com/wolfsoftware/is_palindromic/commits)
[![GitHub repo size in bytes](https://img.shields.io/github/repo-size/wolfsoftware/is_palindromic.svg)](https://github.com/wolfsoftware/is_palindromic)
[![GitHub contributors](https://img.shields.io/github/contributors/wolfsoftware/is_palindromic.svg)](https://github.com/wolfsoftware/is_palindromic)

# Is Palindromic

A very simply Gem to test is a string or integer is palindromic or not.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'is_palindromic'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install is_palindromic

## Usage

### Testing strings

```ruby
  require 'is_palindromic'

  puts 'test'.is_palindromic?
  puts '12321'.is_palindromic?
  puts '123! 21'.is_palindromic?
```

### Testing integers

```ruby
  require 'is_palindromic'

  puts 123.is_palindromic?
  puts 12321.is_palindromic?
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Testing

For local testing make sure that you run `bundle exec rspec spec` and then `rake install` to install the gem locally.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/is_palindromic. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the IsPalindromic project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/is_palindromic/blob/master/CODE_OF_CONDUCT.md).
